{
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "",
    "title": "Oriane",
    "version": "1",
    "x-aisa-capabilities": {
      "idempotency": "Idempotency-Key",
      "max_price": "X-AISA-Max-Price-USD",
      "quote": {
        "header": "X-AISA-Cost-Mode",
        "value": "quote"
      }
    },
    "x-aisa-catalogs": {
      "oriane": {
        "description": "",
        "title": "Oriane",
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          }
        },
        "x-aisa-document": {
          "facts_hash": "5223facfdd9e4a0f4c671c7ff6d8fa756b317f01da38e8cde2b288315910d319",
          "generator_version": "3",
          "protocol_version": "1",
          "schema_version": "1"
        },
        "x-aisa-plans": {
          "builder": 1.0,
          "display_plan": "payg",
          "payg": 1.0,
          "similarweb_payg": 1.0,
          "team": 1.0,
          "version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb"
        }
      }
    },
    "x-aisa-configured-paths": [
      "/apis/v1/oriane/instagram/post-lookup",
      "/apis/v1/oriane/instagram/posts-search",
      "/apis/v1/oriane/instagram/profile-lookup",
      "/apis/v1/oriane/instagram/profiles-search",
      "/apis/v1/oriane/tiktok/posts-search",
      "/apis/v1/oriane/tiktok/profile-lookup",
      "/apis/v1/oriane/tiktok/profiles-search",
      "/apis/v1/oriane/tiktok/video-lookup"
    ],
    "x-aisa-document": {
      "composer_version": "28",
      "document_hash": "sha256:3c7d64d69072c6539c652df42d801303fac1046b09afd7734cae4538d575856a",
      "facts_hash": "5223facfdd9e4a0f4c671c7ff6d8fa756b317f01da38e8cde2b288315910d319",
      "generator_version": "3",
      "protocol_version": "1",
      "response_pending": [],
      "schema_version": "1"
    },
    "x-aisa-plans": {
      "builder": 1.0,
      "display_plan": "payg",
      "payg": 1.0,
      "similarweb_payg": 1.0,
      "team": 1.0,
      "version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb"
    },
    "x-aisa-provider": "oriane"
  },
  "jsonSchemaDialect": "https://json-schema.org/draft/2020-12/schema",
  "openapi": "3.1.0",
  "paths": {
    "/apis/v1/oriane/instagram/post-lookup": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0035 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "oriane.instagram.post-lookup",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "projection": "basic",
                    "url": "https://example.com"
                  }
                },
                "minimal": {
                  "value": {
                    "projection": "basic",
                    "url": "https://example.com"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "projection": {
                    "enum": [
                      "basic",
                      "default",
                      "full"
                    ],
                    "type": "string"
                  },
                  "url": {
                    "type": "string"
                  }
                },
                "required": [
                  "projection",
                  "url"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Look up Instagram post or reel",
        "tags": [
          "Oriane"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "oriane",
        "x-aisa-category": "social",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/oriane/oriane-instagram-post-lookup",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0035,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "94a3fc38ac28"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "oriane.instagram.post-lookup",
          "path": "/apis/v1/oriane/instagram/post-lookup"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/oriane/instagram/post-lookup \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"projection\": \"basic\",\n  \"url\": \"https://example.com\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/oriane/instagram/posts-search": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0035 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "oriane.instagram.posts-search",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "caption": "example",
                    "projection": "basic"
                  }
                },
                "minimal": {
                  "value": {
                    "caption": "example",
                    "projection": "basic"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "caption": {}
                        },
                        "required": [
                          "caption"
                        ]
                      },
                      {
                        "properties": {
                          "handle": {}
                        },
                        "required": [
                          "handle"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "caption": {
                    "type": "string"
                  },
                  "handle": {
                    "type": "string"
                  },
                  "projection": {
                    "enum": [
                      "basic",
                      "default",
                      "full"
                    ],
                    "type": "string"
                  }
                },
                "required": [
                  "projection"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Search Instagram posts and reels",
        "tags": [
          "Oriane"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "oriane",
        "x-aisa-category": "social",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_caption",
                "selector": "/caption"
              },
              {
                "in": "body",
                "name": "option_handle",
                "selector": "/handle"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/oriane/oriane-instagram-posts-search",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0035,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "f3b642f72a28"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "oriane.instagram.posts-search",
          "path": "/apis/v1/oriane/instagram/posts-search"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/oriane/instagram/posts-search \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"caption\": \"example\",\n  \"projection\": \"basic\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/oriane/instagram/profile-lookup": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0035 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "oriane.instagram.profile-lookup",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "projection": "basic",
                    "url": "https://example.com"
                  }
                },
                "minimal": {
                  "value": {
                    "projection": "basic",
                    "url": "https://example.com"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "projection": {
                    "enum": [
                      "basic",
                      "default",
                      "full"
                    ],
                    "type": "string"
                  },
                  "url": {
                    "type": "string"
                  }
                },
                "required": [
                  "projection",
                  "url"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Look up Instagram profile",
        "tags": [
          "Oriane"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "oriane",
        "x-aisa-category": "social",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/oriane/oriane-instagram-profile-lookup",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0035,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "a522e5ca0614"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "oriane.instagram.profile-lookup",
          "path": "/apis/v1/oriane/instagram/profile-lookup"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/oriane/instagram/profile-lookup \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"projection\": \"basic\",\n  \"url\": \"https://example.com\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/oriane/instagram/profiles-search": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0035 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "oriane.instagram.profiles-search",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "bio": "example",
                    "projection": "basic"
                  }
                },
                "minimal": {
                  "value": {
                    "bio": "example",
                    "projection": "basic"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "bio": {}
                        },
                        "required": [
                          "bio"
                        ]
                      },
                      {
                        "properties": {
                          "displayName": {}
                        },
                        "required": [
                          "displayName"
                        ]
                      },
                      {
                        "properties": {
                          "handle": {}
                        },
                        "required": [
                          "handle"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "bio": {
                    "type": "string"
                  },
                  "displayName": {
                    "type": "string"
                  },
                  "handle": {
                    "type": "string"
                  },
                  "projection": {
                    "enum": [
                      "basic",
                      "default",
                      "full"
                    ],
                    "type": "string"
                  }
                },
                "required": [
                  "projection"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Search Instagram profiles",
        "tags": [
          "Oriane"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "oriane",
        "x-aisa-category": "social",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_bio",
                "selector": "/bio"
              },
              {
                "in": "body",
                "name": "option_display_name",
                "selector": "/displayName"
              },
              {
                "in": "body",
                "name": "option_handle",
                "selector": "/handle"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/oriane/oriane-instagram-profiles-search",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0035,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "9d7a7566190a"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "oriane.instagram.profiles-search",
          "path": "/apis/v1/oriane/instagram/profiles-search"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/oriane/instagram/profiles-search \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"bio\": \"example\",\n  \"projection\": \"basic\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/oriane/tiktok/posts-search": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0035 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "oriane.tiktok.posts-search",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "caption": "example",
                    "projection": "basic"
                  }
                },
                "minimal": {
                  "value": {
                    "caption": "example",
                    "projection": "basic"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "caption": {}
                        },
                        "required": [
                          "caption"
                        ]
                      },
                      {
                        "properties": {
                          "handle": {}
                        },
                        "required": [
                          "handle"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "caption": {
                    "type": "string"
                  },
                  "handle": {
                    "type": "string"
                  },
                  "projection": {
                    "enum": [
                      "basic",
                      "default",
                      "full"
                    ],
                    "type": "string"
                  }
                },
                "required": [
                  "projection"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Search TikTok videos",
        "tags": [
          "Oriane"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "oriane",
        "x-aisa-category": "social",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_caption",
                "selector": "/caption"
              },
              {
                "in": "body",
                "name": "option_handle",
                "selector": "/handle"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/oriane/oriane-tiktok-posts-search",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0035,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "b9256676da1b"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "oriane.tiktok.posts-search",
          "path": "/apis/v1/oriane/tiktok/posts-search"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/oriane/tiktok/posts-search \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"caption\": \"example\",\n  \"projection\": \"basic\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/oriane/tiktok/profile-lookup": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0035 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "oriane.tiktok.profile-lookup",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "projection": "basic",
                    "url": "https://example.com"
                  }
                },
                "minimal": {
                  "value": {
                    "projection": "basic",
                    "url": "https://example.com"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "projection": {
                    "enum": [
                      "basic",
                      "default",
                      "full"
                    ],
                    "type": "string"
                  },
                  "url": {
                    "type": "string"
                  }
                },
                "required": [
                  "projection",
                  "url"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Look up TikTok profile",
        "tags": [
          "Oriane"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "oriane",
        "x-aisa-category": "social",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/oriane/oriane-tiktok-profile-lookup",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0035,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "d44c4c16f46e"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "oriane.tiktok.profile-lookup",
          "path": "/apis/v1/oriane/tiktok/profile-lookup"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/oriane/tiktok/profile-lookup \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"projection\": \"basic\",\n  \"url\": \"https://example.com\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/oriane/tiktok/profiles-search": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0035 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "oriane.tiktok.profiles-search",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "bio": "example",
                    "projection": "basic"
                  }
                },
                "minimal": {
                  "value": {
                    "bio": "example",
                    "projection": "basic"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "bio": {}
                        },
                        "required": [
                          "bio"
                        ]
                      },
                      {
                        "properties": {
                          "displayName": {}
                        },
                        "required": [
                          "displayName"
                        ]
                      },
                      {
                        "properties": {
                          "handle": {}
                        },
                        "required": [
                          "handle"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "bio": {
                    "type": "string"
                  },
                  "displayName": {
                    "type": "string"
                  },
                  "handle": {
                    "type": "string"
                  },
                  "projection": {
                    "enum": [
                      "basic",
                      "default",
                      "full"
                    ],
                    "type": "string"
                  }
                },
                "required": [
                  "projection"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Search TikTok profiles",
        "tags": [
          "Oriane"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "oriane",
        "x-aisa-category": "social",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_bio",
                "selector": "/bio"
              },
              {
                "in": "body",
                "name": "option_display_name",
                "selector": "/displayName"
              },
              {
                "in": "body",
                "name": "option_handle",
                "selector": "/handle"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/oriane/oriane-tiktok-profiles-search",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0035,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "483b75cf3807"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "oriane.tiktok.profiles-search",
          "path": "/apis/v1/oriane/tiktok/profiles-search"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/oriane/tiktok/profiles-search \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"bio\": \"example\",\n  \"projection\": \"basic\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/oriane/tiktok/video-lookup": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0035 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "oriane.tiktok.video-lookup",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "projection": "basic",
                    "url": "https://example.com"
                  }
                },
                "minimal": {
                  "value": {
                    "projection": "basic",
                    "url": "https://example.com"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "projection": {
                    "enum": [
                      "basic",
                      "default",
                      "full"
                    ],
                    "type": "string"
                  },
                  "url": {
                    "type": "string"
                  }
                },
                "required": [
                  "projection",
                  "url"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Look up TikTok video",
        "tags": [
          "Oriane"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "oriane",
        "x-aisa-category": "social",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/oriane/oriane-tiktok-video-lookup",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0035,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "c79e42ae4639"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "oriane.tiktok.video-lookup",
          "path": "/apis/v1/oriane/tiktok/video-lookup"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/oriane/tiktok/video-lookup \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"projection\": \"basic\",\n  \"url\": \"https://example.com\"\n}'"
          }
        ]
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://api.aisa.one"
    }
  ]
}
